package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Random;

/**
 * 业务类型统计
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */
@ApiModel(value = "BizTypeVO", description = "业务类型统计")
@Data
@NoArgsConstructor
public class BizTypeVO {
    @ApiModelProperty("业务类型")
    private String bizType;
    @ApiModelProperty("告警数量")
    private Long num;

    public BizTypeVO(boolean flag) {
        if (flag) {
            this.bizType = "" + (new Random().nextInt(10) + 1);
            this.num = Long.valueOf(new Random().nextInt(200) + 10);
        }

    }
}
